body {
  margin: 0;
  height: 4000px;
  overflow-x: hidden;
  background: black;
  font-family: "Noto Sans", sans-serif;
  color: #1c1c1c;
  font-size: 13px;
}

/* 背景 */
#city {
  position: fixed;
  top: 0;
  left: 0;
  width: 4000px;
  height: 2000px;
  background-image: url("images/city.png");
  background-size: 4000px 2000px;
  background-repeat: no-repeat;
  z-index: 0;
}

.prop {
  position: absolute;
  transform: translate(-50%, -100%);
  transform: scale(0.5);
  transform-origin: bottom center;
}

.frendy {
  transform: scale(0.33);
}

.polka {
  transform: scale(0.37);
}

#logo {
  position: fixed;
  top: 40px;
  left: 40px;
  transform: scale(0.5);
  transform-origin: top left;
  z-index: 1000;
}

.platform {
  position: fixed;
  top: 40px;
  right: 40px;
  display: flex;
  gap: 24px;
  z-index: 9999;
}

.platform img {
  width: 56px;
  height: auto;
}

.lang {
  cursor: pointer;
}

.hand {
  cursor: pointer;
}

.langMenu {
  position: absolute;
  top: 55px;
  right: 143px;
  background: #ffffff;
  border-radius: 8px;
  padding: 8px 0;
  box-shadow: 0 6px 20px rgba(0, 0, 0, 0.2);
  display: none;
  font-size: 14px;
  cursor: pointer;
}

.langMenu a {
  display: block;
  padding: 8px 18px;
  text-decoration: none;
  color: black;
  white-space: nowrap;
}

.langMenu a:hover {
  background: #f0f0f0;
}

.sns {
  position: fixed;
  bottom: 70px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 24px;
  z-index: 9999;
}

.sns img {
  width: 36px;
  height: auto;
  transform-origin: center;
  cursor: pointer;
}

.sns a {
  cursor: pointer;
}

.guideline {
  text-decoration: none;
  background: #ffffff;
  color: #000;
  height: 36px;
  padding: 0 14px;
  border-radius: 20px;
  margin-left: 0px;
  display: flex;
  align-items: center;
}

.guideline:hover {
  text-decoration: underline;
}

#copyright {

  position: fixed;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1000;
  pointer-events: none;
}

.modal {
  display: none;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: transparent;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modalContent {
  background: #fff;
  padding: 30px;
  border-radius: 12px;
  position: relative;
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.5);
  width: 90%;
  max-width: 600px;
}

.closeBtn {
  position: absolute;
  right: 10px;
  top: 0px;
  font-size: 26px;
  cursor: pointer;
}

.noScroll {
  overflow: hidden;
}

.title {
  display: block;
  margin: 0 auto 20px;
  height: 64px;
  width: auto;
}

.storyText {
  text-align: center;
  line-height: 1.6;
  margin-bottom: 20px;
}

.storyBottomImg {
  display: block;
  margin: 20px auto 0;
  max-width: 100%;
  height: auto;
  transform: scale(0.8);
}

.gameplayImg {
  display: block;
  margin: 20px auto 0;
  max-width: 100%;
  height: auto;
  transform: scale(0.7);
}

.gameInfo {
  border-collapse: collapse;
  width: 100%;
  max-width: 600px;
  margin: 20px auto;
  background-color: white;
  color: #1c1c1c;
}

.gameInfo th,
.gameInfo td {
  border: none;
  text-align: left;
  padding: 8px 12px;
  background-color: white;
  border-bottom: 1px solid #efefef;
}


@media (max-width: 768px) {

  .modalContent {
    padding: 20px;
  }

  .title {
    height: 40px;
  }

  .gameplayImg {
    transform: scale(1);
  }

  .storyBottomImg {
    transform: scale(1);
  }

  #logo {
    transform: scale(0.35);
    top: 20px;
    left: 20px;
  }

  .platform img {
    width: 40px;
  }

  .sns img {
    width: 32px;
  }

  .guideline {
    display: none;
  }

  .platform {
    top: 20px;
    right: 20px;
    gap: 12px;
  }

  .platform img {
    width: 36px;
    height: auto;
  }

  .langMenu {
    right: 0px;
  }
}